Bug 1283327 - Review Request: python-sphinxcontrib-pecanwsme - Extension to Sphinx for documenting APIs built with Pecan and WSME
Review Request: python-sphinxcontrib-pecanwsme - Extension to Sphinx for docu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1272524 1400271
  Show dependency treegraph
 
Reported: 2015-11-18 12:40 EST by Javier Peña
Modified: 2016-11-30 14:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1400271 (view as bug list)
Environment:
Last Closed: 2016-05-07 07:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2015-11-18 12:40:14 EST
Spec URL: https://jpena.fedorapeople.org/python-sphinxcontrib-pecanwsme/python-sphinxcontrib-pecanwsme.spec
SRPM URL: https://jpena.fedorapeople.org/python-sphinxcontrib-pecanwsme/python-sphinxcontrib-pecanwsme-0.8.0-1.fc24.src.rpm
Description: Extension to Sphinx for documenting APIs built with Pecan and WSME
Fedora Account System Username: jpena

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=11893963

Please note the Python 3 subpackage is currently disabled, due to lack of upstream support (see https://github.com/dreamhost/sphinxcontrib-pecanwsme/pull/14).
Comment 1 Gauvain Pocentek 2015-11-19 10:23:08 EST
Informal review:

The spec file looks good, build and installation worked fine.

Maybe one minor suggestion: add `-O 1` to the `python setup.py install` command.
Comment 2 Paul Belanger 2015-12-17 13:50:50 EST
FWIW: I ran fedora-review on the spec and didn't find any issues.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinxcontrib-pecanwsme-0.8.0-1.fc24.noarch.rpm
          python-sphinxcontrib-pecanwsme-0.8.0-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-sphinxcontrib-pecanwsme (rpmlib, GLIBC filtered):
    python(abi)
    python-sphinxcontrib-httpdomain



Provides
--------
python2-sphinxcontrib-pecanwsme:
    python-sphinxcontrib-pecanwsme
    python-sphinxcontrib-pecanwsme(x86-64)
    python2-sphinxcontrib-pecanwsme



Source checksums
----------------
https://pypi.python.org/packages/source/s/sphinxcontrib-pecanwsme/sphinxcontrib-pecanwsme-0.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : e3fd5f01c81d0335173469f36335ebe335a6b21ce7c1756edf56976d59801f21
  CHECKSUM(SHA256) upstream package : e3fd5f01c81d0335173469f36335ebe335a6b21ce7c1756edf56976d59801f21


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1283327 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Stuart Campbell 2016-01-07 10:06:11 EST
Informal Review:

Just wondering, why the check for fedora around turning python3 off ? This would not be triggered if this package was in EPEL.  The statement could just be standalone, or since python3 isn't working for this package then just remove it altogether.

Also, the build and install steps could make use of the %py2_build and %py2_install commands.
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-01-07 14:48:38 EST
You should expand WSME abbreviation in the %description..., and explain a bit what WSME and Pecan are, or what capabilities this package provides, what it is useful for. (This way it will show up in searches, and more people will be able to discover it if it might be useful for them.)
Comment 5 Upstream Release Monitoring 2016-01-14 04:59:59 EST
jpena's scratch build of python-sphinxcontrib-pecanwsme-0.8.0-2.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12545215
Comment 6 Javier Peña 2016-01-14 06:48:35 EST
(In reply to Stuart Campbell from comment #3)
> Informal Review:
> 
> Just wondering, why the check for fedora around turning python3 off ? This
> would not be triggered if this package was in EPEL.  The statement could
> just be standalone, or since python3 isn't working for this package then
> just remove it altogether.
> 

The check for fedora should turn python3 on if it worked, so the easiest way to quickly disable it was to set with_python3 to 0. Then, as soon as python3 support is ready upstream, we can turn it back on simply by setting with_python3 to 1, and it will still be disabled in EPEL.

I have prepared an updated spec file improving macro usage and expanding the description. Actually, upstream does not provide much more information, so I tried to find it.

SPEC: https://jpena.fedorapeople.org/python-sphinxcontrib-pecanwsme/python-sphinxcontrib-pecanwsme.spec
SRPM: https://jpena.fedorapeople.org/python-sphinxcontrib-pecanwsme/python-sphinxcontrib-pecanwsme-0.8.0-2.fc24.src.rpm

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=12545215
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-01-14 10:03:36 EST
Dunno, even with the extended description I have no idea what this extension does. I hope it makes sense to people who use WSME.

Paul, do you want to take this review?
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-04-05 10:18:35 EDT
Upstream made some comment on the PR, any chance you could update it?

+ license is OK
+ license file is present, %license is used
+ latest version
+ provides/requires look OK
+ no scriptlets present or necessary
+ standard python macros are used
+ builds and installs OK

rpmlint:
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package is APPROVED.
Comment 9 Marcos 2016-04-21 04:26:23 EDT
I see this package was approved, I can not find it in http://pkgs.fedoraproject.org nor http://koji.fedoraproject.org nor http://cbs.centos.org nor http://bodhi.fedoraproject.org

Will be imported soon? :)
Comment 10 Javier Peña 2016-04-21 04:33:28 EDT
(In reply to Marcos from comment #9)
> I see this package was approved, I can not find it in
> http://pkgs.fedoraproject.org nor http://koji.fedoraproject.org nor
> http://cbs.centos.org nor http://bodhi.fedoraproject.org
> 
> Will be imported soon? :)

Sorry, it was my fault, I lost it from the radar. It'll be ready asap.
Comment 11 Kevin Fenzi 2016-04-23 12:36:52 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-sphinxcontrib-pecanwsme
Comment 12 Marcos 2016-04-25 03:54:59 EDT
Javier,

could you please submit package as Update in Bodhi?.

Thanks.
Comment 13 Fedora Update System 2016-04-25 05:02:55 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e0134b677
Comment 14 Fedora Update System 2016-04-25 05:03:37 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8639584a59
Comment 15 Javier Peña 2016-04-25 05:04:38 EDT
Package built and submitted to Rawhide, f24 and f23.
Comment 16 Fedora Update System 2016-04-25 13:50:39 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8639584a59
Comment 17 Fedora Update System 2016-04-25 20:52:35 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e0134b677
Comment 18 Fedora Update System 2016-05-07 07:54:55 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-05-12 16:55:11 EDT
python-sphinxcontrib-pecanwsme-0.8.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.